View Issue Details

IDProjectCategoryView StatusLast Update
0006457Talermechant backendpublic2020-08-29 14:01
ReporterChristian Grothoff Assigned ToFlorian Dold  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006457: HTML version of /orders/$ID should long-poll on refund QR code
DescriptionThe HTML version of /orders/$ID should have three versions:
* unpaid => show pay QR code, long poll for 'paid'
* paid => redirect to fulfillment page
* refund available => show refund QR code, long poll for refund being grabbed by the wallet
* refund performed => show that the order was refunded
TagsNo tags attached.

Relationships

related to 0006456 resolvedChristian Grothoff Automatic refresh of page not working 

Activities

Christian Grothoff

2020-08-03 14:20

manager   ~0016555

This is done, except for the JS-based URI to long-poll URL conversion. See FIXME-6457 in bug. Assigning to Florian.

Florian Dold

2020-08-06 19:46

manager   ~0016565

Fixed in 5698d609ef.

Florian Dold

2020-08-06 19:58

manager   ~0016566

Refunds etc. aren't done yet

Christian Grothoff

2020-08-06 19:59

manager   ~0016567

You missed some:
contrib/offer_tip.en.must: let checkUrl = FIXME-#6457_dold_tip_uri_to_URL("{{taler_tip_uri}}");
contrib/offer_refund.en.must: let checkUrl = FIXME-#6457_dold_refund_uri_to_URL("{{taler_refund_uri}}");

Florian Dold

2020-08-06 21:09

manager   ~0016568

Should be fully addressed in b791a14c

Florian Dold

2020-08-10 16:30

manager   ~0016583

Doesn't actually do long polling yet ...

Florian Dold

2020-08-20 14:26

manager   ~0016680

The refund page should now construct the right /orders/{order_id} URL with the await_refund_obtained=yes query parameter.

Issue History

Date Modified Username Field Change
2020-08-02 23:27 Christian Grothoff New Issue
2020-08-02 23:27 Christian Grothoff Status new => assigned
2020-08-02 23:27 Christian Grothoff Assigned To => Christian Grothoff
2020-08-03 14:20 Christian Grothoff Note Added: 0016555
2020-08-03 14:20 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2020-08-03 16:59 Christian Grothoff Relationship added related to 0006456
2020-08-06 19:46 Florian Dold Status assigned => resolved
2020-08-06 19:46 Florian Dold Resolution open => fixed
2020-08-06 19:46 Florian Dold Note Added: 0016565
2020-08-06 19:58 Florian Dold Status resolved => assigned
2020-08-06 19:58 Florian Dold Note Added: 0016566
2020-08-06 19:59 Christian Grothoff Note Added: 0016567
2020-08-06 21:09 Florian Dold Status assigned => resolved
2020-08-06 21:09 Florian Dold Note Added: 0016568
2020-08-07 01:44 Christian Grothoff Fixed in Version => 0.8
2020-08-10 16:30 Florian Dold Status resolved => assigned
2020-08-10 16:30 Florian Dold Note Added: 0016583
2020-08-20 14:26 Florian Dold Status assigned => resolved
2020-08-20 14:26 Florian Dold Note Added: 0016680
2020-08-29 14:01 Christian Grothoff Target Version 0.8.1 => 0.8